Bug 11145 - enhancement for startup scripts
enhancement for startup scripts
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
http://dusk.bitstream.net/randym/tune...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-01 10:29 EDT by randym
Modified: 2014-03-16 22:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-01 10:29:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description randym 2000-05-01 10:29:27 EDT
Forgive me if this is the wrong place to enter this; I was told that it was
the preferred place.

The URL (above) points to a gzip file with a couple of startup scripts I
wrote and would like to contribute.  The script reads in a config file (and
specified generic templates), and sets:
	1. the relevant /proc kernel settings
	2. hdparm parameters for mounted drives
	3. the mtrr (on Pentium II, etc, systems) to help improve video
performance.

This resets the various performance settings (and other tunable kernel
parameters) when the system boots, so that the user does not have to create
a custom script.

The templates are meant to help simplify the users life: forexample, the
"fileserver" template automagically configures the settings relevant to
fileservers.  Templates could be created for recommended, benchmark
settings.

All the best,
Randy Maas
randym@acm.org
Comment 1 Bill Nottingham 2000-08-15 22:28:13 EDT
Apologies for the late reply.

In 6.2 and later, there is /etc/sysctl.conf for tuning kernel
parameters. In the 7.0beta and later, there is /etc/sysconfig/harddisks
for turning stuff with hdparm. Plus, XFree4 automatically
sets up mtrrs. Hence, most of this is implemented as
of the 7.0 betas.

Note You need to log in before you can comment on or make changes to this bug.